class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.Default extends Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.Base
  initialize: (options) ->
    super(options)
    @face = @mdl().FaceFactory.factory this, @my_manifest.face, @item
    @link = @mdl().LinkFactory.factory this, @my_manifest.link, @item
    @listenTo(@face, 'ready:caption', @ready_caption)
  
  render: () ->
    icon = new Pettanr.View.Minicon(Pettanr.View.Image.icon_loading_file())
    this.$el.html(icon.render().el)
    @face.render()
    this
  
  ready_caption: (caption) ->
    el = if @has_link()
      @link.button(caption, this).render().el
    else
      caption
    this.$el.html(el)
    this
  
  mdl: () ->
    Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule
  
class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule
  
