#
#   Confirm page
#
class Pettanr.Views.ResourcePicture.Form extends Pettanr.View
  
  initialize: (options) ->
    super(options)
    @resource_picture = options.resource_picture
    @credits = options.credits
  
  render: () ->
    this.$el.html('')
    this.$el.append(@credits)
    submit = new Tag.Submit({value: I18n.t('resource_pictures.new.publish')})
    @listenTo(submit, 'click', @submit)
    this.$el.append(submit.render().el)
    this
  
  submit: () ->
    @listenTo(@resource_picture, 'save:success', @success)
    @listenTo(@resource_picture, 'save:fail', @fail)
    @resource_picture.save()
  
  success: (model, response) ->
    @trigger('success', @resource_picture)
  
  fail: (model, response) ->
    @trigger('fail', model, response)
  
