ManifestBase.require_modules "local_manifest/form/use/field/tag/", 
  %w|base text number text_area select hidden file|

module LocalManifest
  module FormModule
    module UseModule
      module FieldModule
        class TagFactory < ManifestBase::Factory
          include TagModule
          
          def self.types
            {
              'text' => TextTag, 'number' => NumberTag, 'text_area' => TextAreaTag, 
              'select' => SelectTag, 'hidden' => HiddenTag, 'file' => FileTag
            }
          end
          
          def self.default_type
            'text'
          end
          
        end
      end
    end
  end
end
