ManifestBase.require_modules "local_manifest/profiler/extend_setting/", 
  %w|column|

module LocalManifest
  module ProfilerModule
    class ExtendSetting < ManifestBase::NameValues
      include ExtendSettingModule
      attr :columns, :column_names
      
      def set_default
        super
        @values['columns'] ||= {}
        @values['column_names'] ||= []
      end
      
      def init
        super
        @columns =  ManifestBase.load_type_name_args self, @values, 'columns', ColumnFactory
        @column_names = @values['column_names']
      end
      
    end
  end
end
