ManifestBase.require_modules "manifest/controller/", 
  %w|action|

module Manifest
  class Controller < ManifestBase::Base
    include ControllerModule
    attr :actions
    
    def set_default
      super
      @json['actions'] ||= {}
    end
    
    def init
      super
      @actions = ManifestBase.load_type_name_args self, @json, 'actions', ActionFactory
    end
    
  end
end
