class LocalManifest.Bucket extends ManifestBase.Base
  
  set_default: () ->
    super()
    @json['members'] ||= {}
    @json['form_field_names'] ||= {}
    
  init: () ->
    super()
    @members = ManifestBase.load_name_values this, @json, 'members', LocalManifest.BucketModule.Member
    @form_field_names = ManifestBase.load_names this, @json, 'form_field_names', LocalManifest.BucketModule.FormFieldName
  
  has_member: () ->
    Object.keys(@json['members']).length > 0
  
  item_name: () ->
    @name
  
  constructor: (manifest, name, json, module_name) ->
    super(manifest, name, json, module_name)
    
class LocalManifest.BucketModule
  
