module LocalManifest
  module ProfilerModule
    module ColumnModule
      class ExtendColumn < Base
        attr :boost_name
        
        def set_default
          super
          @args['boost_name'] ||= @name.gsub(/_settings/, '')
        end
        
        def init
          super
          @boost_name = @args['boost_name']
        end
        
        def item_manifest
          Manifest.manifest.items[self.profiler.name]
        end
        
        def boost_manifest
          self.item_manifest.boost[@boost_name]
        end
        
      end
    end
  end
end
