module Locmare
  module FilerModule
    module BodyModule
      module FileBodyModule
        module FileItemModule
          module SymbolItemColumnModule
            class Base
              attr :file_item, :symbol_manifest, :item, :column_name
              
              def initialize file_item, symbol_manifest, item
                @file_item = file_item
                @symbol_manifest = symbol_manifest
                @item = item
                @column_name = 'symbol'
              end
              
              def filer
                @file_item.filer
              end
              
              def manifest
                self.filer.manifest
              end
              
              def item_name
                self.filer.item_name
              end
              
              def column_template_dir
                self.filer.template_dir + 'item_column/'
              end
              
              def column_template_file_name
                raise "undefined column_template_file_name\n"
              end
              
              def column_template_name
                self.column_template_dir + self.column_template_file_name
              end
              
              def item_template_dir
                self.filer.template_dir + 'symbol/'
              end
              
              def item_template_file_name
                raise "undefined item_template_file_name\n"
              end
              
              def item_template_name
                self.item_template_dir + self.item_template_file_name
              end
              
            end
            
          end
        end
      end
    end
  end
end
